Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

My machine (MacBookPro2,2) doesn't support 10.8 and I would rather hold back on doing the upgrade (possible with hacks). So is it possible to stay on 10.7/Lion and get iMessage working?

share|improve this question

1 Answer 1

up vote 5 down vote accepted

Since the Messages beta has ended, it is no longer offered for download on the website however the download link direct to the .dmg still works:

Messages beta direct download.

I don't expect this to continue indefinitely.

A more permanent option would be to try and copy the Messages.app from a Mountain Lion install on another computer to your OS X Lion applications folder. Let us know if that works for you.

share|improve this answer
    
The Beta seems to be working. I don't have access to a 10.8 machine right now but will try that next time I have one available. Thanks! –  studgeek Sep 23 '12 at 16:59
    
FYI, The iMessage beta program for Lion is "closing" on Dec 14. I'm guessing the beta app will stop working at that point. Not sure about a 10.8 copied app (have not tried it yet myself). –  studgeek Nov 25 '12 at 23:35
2  
The beta app has indeed stopped working as of Dec 14.You might still be able to get the dmg, but the service is no longer working. The app kills itself after displaying a message about downloading Mountain Lion. –  Joost Dec 22 '12 at 11:16

protected by Community Nov 29 '12 at 4:31

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.